import {
    LOGIN_REQUEST,
    LOGIN_RESPONSE,
} from "../constants"

import coreAPI from "../../http"
import { safeRedraw } from "midux"

export function LoginWithCredentials(credentials = {}) {

    return (dispatch, getState) => {
        dispatch({
            type: LOGIN_REQUEST,
        })
        const {
            config,
        } = getState()
        const {
            email,
            password
        } = credentials

        coreAPI.user.authenticate({
            email,
            password,
        })
            .then(response => response.json())
            .then(data => {
                dispatch({
                    type: LOGIN_RESPONSE,
                    data,
                })
                safeRedraw()
            })
            .catch(response => {
                response.json()
                    .then(err => {
                        dispatch({
                            type: LOGIN_RESPONSE,
                            err,
                        })
                        safeRedraw()
                    })
            })
    }
}