import m from "mithril"

export const TextField = {

    oncreate(vnode) {

        componentHandler.upgradeElement(vnode.dom)
    },

    view(vnode) {

        const {
            type = "text",
            label = "",
            name = "",
            oninput,
            error = "",
            pattern = "",
        } = vnode.attrs

        return (
            <div className={`mdl-textfield mdl-js-textfield ${vnode.attrs.className}`}>
                <input oninput={oninput}
                    type={type}
                    name={name}
                    pattern={pattern}
                    class="mdl-textfield__input" />
                <label class="mdl-textfield__label">{label}</label>
                <span class="mdl-textfield__error">{error}</span>
            </div>
        )
    }
}